Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0033200
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajorhave not tried2016-06-09 09:342017-09-29 08:39
ReporteralostaleView Statuspublic 
Assigned Toalostale 
PrioritynormalResolutionfixedFixed in Version3.0PR16Q4
StatusclosedFix in branchFixed in SCM revision772761fc1df8
ProjectionnoneETAnoneTarget Version3.0PR16Q4
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tocaristu
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0033200: getId in DAL proxy loads object in memory

DescriptionGetting id from a DAL proxy causes Hibernate object initialization: DB query and object to be loaded in memory. Which penalizes in performance in case the only property to be read is the id.

This can be workarounded by using DalUtil.getId utility method which retrieves the id without loading the DAL object if the parameter was an uninitialized proxy.

This workaround has two disadvantages:

1. Developers must keep it always in mind not to forget it when it is needed. Sometimes it is not obvious whether an object is initialized at some point or not.
2. It pollutes the code by adding boilerplate, ie.:

  String id;
  id = proxy.getId(); // this is what we want
  id = (String) DalUtil.getId(proxy); // this is what we need to write instead
Steps To Reproduce1. Enable Hibernate debug SQL logging
2. Execute the following code:

  Order proxy = OBDal.getInstance().getProxy(Order.class, SOME_KNOWN_ORDER_ID);
  proxy.getId();


3. Check when 2nd line is executed the object is loaded in memory: select to c_order is executed
Proposed SolutionFind attached WiP patch.

What's pending:

1. Compare performance of this patch with current DalUtil.getId, and decide whether DalUtil.getId should be modified to use new getId directly.
2. Deprecate DalUtil.getId in favor simple getId
3. Remove all DalUtil.getId occurrences in pi + retail (+ modules?)

Handle 2 (functional) API changes:

1.
proxy.getId();
OBDal.getInstace.getSession().clear();
proxy.getName();


This case worked before because getId loaded the full object in memory whereas now it would raise a LazyInitializationException.

2.
Client c = OBDal.getInstance().getProxy(Client.class, "00001");
System.out.println(c.getId());


This case before would throw an exception (ADClient 00001 does not exist), but now it would just print 00001
TagsPerformance
Attached Files? file icon 33200.export [^] (2,869 bytes) 2016-06-09 09:43

- Relationships Relation Graph ] Dependency Graph ]
depends on defect 0033457 closedalostale Openbravo ERP API changes: modified constructor for OBDynamicPropertyHandler Getter and Setter classes 
related to feature request 0033469RR16Q4 closedmtaal Retail Modules Remove usage of DalUtil.getId in store server and import entry related code 
related to feature request 0037064 closedcaristu Openbravo ERP upgrade hibernate to 5.3.2 
causes defect 0033490 closedalostale Openbravo ERP can't create/edit record depending on the order windows are opened 

-  Notes
(0088348)
hgbot (developer)
2016-07-11 09:16

Repository: erp/devel/pi
Changeset: a43b1b2b9ac0ccd4507e1bac36d0d93d617f499b
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Fri Jul 08 13:40:12 2016 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/a43b1b2b9ac0ccd4507e1bac36d0d93d617f499b [^]

related to bug 33200: getId in DAL proxy loads object in memory

  Do not use DalUtil.getId: fixed some special cases

---
M modules/org.openbravo.client.application/src/org/openbravo/client/application/personalization/PersonalizationHandler.java
M src/org/openbravo/dal/security/SecurityChecker.java
M src/org/openbravo/role/inheritance/access/AccessTypeInjector.java
---
(0088349)
hgbot (developer)
2016-07-11 09:16

Repository: erp/devel/pi
Changeset: 9507e84c71af574c1a1c3941d356c80eafd03753
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Fri Jul 08 13:40:39 2016 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/9507e84c71af574c1a1c3941d356c80eafd03753 [^]

related to bug 33200: getId in DAL proxy loads object in memory

  Do not use DalUtil.getId: massive update with regexp

---
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/dao/TransactionsDao.java
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/utility/FIN_Utility.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/ADAlertDatasourceService.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/ComputeTranslatedNameActionHandler.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/ComputeWindowActionHandler.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/MenuManager.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/ParameterUtils.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/PropertiesComponent.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/attachment/AttachImplementationManager.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/attachment/AttachmentAH.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/attachment/AttachmentConfigEventHandler.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/attachment/AttachmentUtils.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/attachment/CoreAttachImplementation.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/event/FieldHandler.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/event/TreeTablesEventHandler.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/personalization/PersonalizationHandler.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/process/BaseProcessActionHandler.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/window/ApplicationDictionaryCachedStructures.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/window/FormInitializationComponent.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/window/OBViewGridComponent.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/window/OBViewParameterHandler.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/window/OBViewTab.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/window/OBViewUtil.java
M modules/org.openbravo.client.kernel/src/org/openbravo/client/kernel/KernelUtils.java
M modules/org.openbravo.client.kernel/src/org/openbravo/client/kernel/reference/EnumUIDefinition.java
M modules/org.openbravo.client.myob/src/org/openbravo/client/myob/MyOBUtils.java
M modules/org.openbravo.client.myob/src/org/openbravo/client/myob/MyOpenbravoComponent.java
M modules/org.openbravo.client.myob/src/org/openbravo/client/myob/WidgetProvider.java
M modules/org.openbravo.client.querylist/src/org/openbravo/client/querylist/QueryListUtils.java
M modules/org.openbravo.service.datasource/src/org/openbravo/service/datasource/BaseDataSourceService.java
M modules/org.openbravo.service.datasource/src/org/openbravo/service/datasource/ComboTableDatasourceService.java
M modules/org.openbravo.service.datasource/src/org/openbravo/service/datasource/DataSourceServlet.java
M modules/org.openbravo.service.datasource/src/org/openbravo/service/datasource/NoteDataSource.java
M modules/org.openbravo.service.json/src/org/openbravo/service/json/AdvancedQueryBuilder.java
M modules/org.openbravo.service.json/src/org/openbravo/service/json/DefaultJsonDataService.java
M modules/org.openbravo.userinterface.selector/src/org/openbravo/userinterface/selector/SelectorComponent.java
M modules/org.openbravo.utility.cleanup.log/src/org/openbravo/utility/cleanup/log/CleanEntity.java
M modules/org.openbravo.utility.cleanup.log/src/org/openbravo/utility/cleanup/log/LogCleanUpProcess.java
M src-test/src/org/openbravo/test/dal/ComputedColumnsTest.java
M src-test/src/org/openbravo/test/dal/DalPerformanceExampleTest.java
M src-test/src/org/openbravo/test/datasource/TestAllowUnpagedDatasourcePreference.java
M src-test/src/org/openbravo/test/role/inheritance/AccessPropagation.java
M src-test/src/org/openbravo/test/role/inheritance/AccessPropagationNotInherited.java
M src-test/src/org/openbravo/test/role/inheritance/DeletedAccessPropagation.java
M src-test/src/org/openbravo/test/role/inheritance/HorizontalInheritance.java
M src-test/src/org/openbravo/test/role/inheritance/RecalculatePermissions.java
M src-test/src/org/openbravo/test/role/inheritance/RoleInheritanceRestrictions.java
M src-test/src/org/openbravo/test/role/inheritance/RoleInheritanceTestUtils.java
M src-test/src/org/openbravo/test/role/inheritance/VerticalInheritance.java
M src/org/openbravo/costing/AverageCostAdjustment.java
M src/org/openbravo/costing/CostingAlgorithm.java
M src/org/openbravo/costing/CostingAlgorithmAdjustmentImp.java
M src/org/openbravo/costing/CostingMigrationProcess.java
M src/org/openbravo/costing/CostingRuleProcess.java
M src/org/openbravo/costing/InventoryAmountUpdateProcess.java
M src/org/openbravo/costing/ManualCostAdjustmentProcessHandler.java
M src/org/openbravo/dal/core/OBContext.java
M src/org/openbravo/dal/core/OBInterceptor.java
M src/org/openbravo/dal/security/EntityAccessChecker.java
M src/org/openbravo/dal/security/OrganizationStructureProvider.java
M src/org/openbravo/dal/xml/EntityExcelXMLConverter.java
M src/org/openbravo/dal/xml/EntityXMLConverter.java
M src/org/openbravo/dal/xml/PrimitiveReferenceHandler.java
M src/org/openbravo/erpCommon/ad_actionButton/ActionButtonUtility.java
M src/org/openbravo/erpCommon/ad_actionButton/MRPManufacturingPlanProcess.java
M src/org/openbravo/erpCommon/ad_callouts/SE_Payment_FinAccount.java
M src/org/openbravo/erpCommon/ad_callouts/SL_Reservation.java
M src/org/openbravo/erpCommon/ad_forms/AcctServer.java
M src/org/openbravo/erpCommon/ad_process/MRPPurchaseCreateReservations.java
M src/org/openbravo/erpCommon/ad_process/assets/AssetLinearDepreciationMethodProcess.java
M src/org/openbravo/erpCommon/businessUtility/Preferences.java
M src/org/openbravo/erpCommon/obps/ActivationKey.java
M src/org/openbravo/erpCommon/utility/OBMessageUtils.java
M src/org/openbravo/erpCommon/utility/ReferencedLink.java
M src/org/openbravo/erpReports/RptC_Bpartner.java
M src/org/openbravo/materialmgmt/InventoryCountProcess.java
M src/org/openbravo/materialmgmt/ManageVariantsDS.java
M src/org/openbravo/materialmgmt/ProductCharacteristicsDS.java
M src/org/openbravo/materialmgmt/ReservationUtils.java
M src/org/openbravo/role/inheritance/InheritedAccessEnabledEventHandler.java
M src/org/openbravo/role/inheritance/RoleInheritanceEventHandler.java
M src/org/openbravo/role/inheritance/RoleInheritanceManager.java
M src/org/openbravo/role/inheritance/RoleInheritanceWarningFICExtension.java
M src/org/openbravo/role/inheritance/access/AccessTypeInjector.java
M src/org/openbravo/role/inheritance/access/FieldAccessInjector.java
M src/org/openbravo/role/inheritance/access/PreferenceAccessInjector.java
M src/org/openbravo/role/inheritance/access/TabAccessInjector.java
M src/org/openbravo/role/inheritance/access/WindowAccessInjector.java
M src/org/openbravo/service/db/DataImportService.java
M src/org/openbravo/service/importprocess/ImportEntryProcessor.java
M src/org/openbravo/service/system/SystemService.java
M src/org/openbravo/service/web/UserContextCache.java
---
(0088350)
hgbot (developer)
2016-07-11 09:16

Repository: erp/devel/pi
Changeset: cdb3eed55554d188f8acbe1511ec705185d7373d
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Fri Jul 08 13:41:24 2016 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/cdb3eed55554d188f8acbe1511ec705185d7373d [^]

related to bug 33200: getId in DAL proxy loads object in memory

  Do not use DalUtil.getId: fixed the rest of the cases the regexp couldn't
  find.

---
M modules/org.openbravo.client.application/src/org/openbravo/client/application/attachment/AttachmentUtils.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/window/OBViewUtil.java
M modules/org.openbravo.financial.paymentreport/src/org/openbravo/financial/paymentreport/erpCommon/ad_reports/PaymentReport.java
M modules/org.openbravo.service.datasource/src/org/openbravo/service/datasource/DefaultDataSourceService.java
M src-test/src/org/openbravo/test/datasource/TestAllowUnpagedDatasourcePreference.java
M src/org/openbravo/costing/CostingAlgorithm.java
M src/org/openbravo/costing/CostingUtils.java
M src/org/openbravo/dal/xml/EntityXMLConverter.java
M src/org/openbravo/erpCommon/ad_actionButton/MRPManufacturingPlanProcess.java
M src/org/openbravo/erpCommon/ad_forms/AcctServer.java
M src/org/openbravo/erpCommon/businessUtility/Preferences.java
M src/org/openbravo/financial/FinancialUtils.java
M src/org/openbravo/materialmgmt/InventoryCountProcess.java
M src/org/openbravo/materialmgmt/ReservationUtils.java
M src/org/openbravo/role/inheritance/RoleInheritanceManager.java
M src/org/openbravo/role/inheritance/access/AccessTypeInjector.java
M src/org/openbravo/role/inheritance/access/PreferenceAccessInjector.java
---
(0088351)
hgbot (developer)
2016-07-11 09:16

Repository: erp/devel/pi
Changeset: 4fa7c1e45e4df953ebb09f56f51e882dbd6ddb26
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Fri Jul 08 13:42:14 2016 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/4fa7c1e45e4df953ebb09f56f51e882dbd6ddb26 [^]

related to bug 33200: getId in DAL proxy loads object in memory

  Do not use DalUtil.getId: removed unneded DalUtil imports no longer required

---
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/dao/TransactionsDao.java
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/utility/FIN_Utility.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/ADAlertDatasourceService.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/ComputeTranslatedNameActionHandler.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/ComputeWindowActionHandler.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/MenuManager.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/ParameterUtils.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/PropertiesComponent.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/attachment/AttachImplementationManager.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/attachment/AttachmentAH.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/attachment/AttachmentConfigEventHandler.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/attachment/CoreAttachImplementation.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/event/TreeTablesEventHandler.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/personalization/PersonalizationHandler.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/process/BaseProcessActionHandler.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/window/ApplicationDictionaryCachedStructures.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/window/OBViewGridComponent.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/window/OBViewParameterHandler.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/window/OBViewTab.java
M modules/org.openbravo.client.kernel/src/org/openbravo/client/kernel/reference/EnumUIDefinition.java
M modules/org.openbravo.client.myob/src/org/openbravo/client/myob/MyOBUtils.java
M modules/org.openbravo.client.myob/src/org/openbravo/client/myob/WidgetProvider.java
M modules/org.openbravo.client.querylist/src/org/openbravo/client/querylist/QueryListUtils.java
M modules/org.openbravo.service.datasource/src/org/openbravo/service/datasource/BaseDataSourceService.java
M modules/org.openbravo.service.datasource/src/org/openbravo/service/datasource/ComboTableDatasourceService.java
M modules/org.openbravo.service.datasource/src/org/openbravo/service/datasource/NoteDataSource.java
M modules/org.openbravo.utility.cleanup.log/src/org/openbravo/utility/cleanup/log/CleanEntity.java
M modules/org.openbravo.utility.cleanup.log/src/org/openbravo/utility/cleanup/log/LogCleanUpProcess.java
M src-test/src/org/openbravo/test/dal/ComputedColumnsTest.java
M src-test/src/org/openbravo/test/role/inheritance/AccessPropagation.java
M src-test/src/org/openbravo/test/role/inheritance/AccessPropagationNotInherited.java
M src-test/src/org/openbravo/test/role/inheritance/DeletedAccessPropagation.java
M src-test/src/org/openbravo/test/role/inheritance/HorizontalInheritance.java
M src-test/src/org/openbravo/test/role/inheritance/RecalculatePermissions.java
M src-test/src/org/openbravo/test/role/inheritance/RoleInheritanceRestrictions.java
M src-test/src/org/openbravo/test/role/inheritance/RoleInheritanceTestUtils.java
M src-test/src/org/openbravo/test/role/inheritance/VerticalInheritance.java
M src/org/openbravo/costing/AverageCostAdjustment.java
M src/org/openbravo/costing/CostingAlgorithmAdjustmentImp.java
M src/org/openbravo/costing/CostingMigrationProcess.java
M src/org/openbravo/costing/CostingRuleProcess.java
M src/org/openbravo/costing/InventoryAmountUpdateProcess.java
M src/org/openbravo/costing/ManualCostAdjustmentProcessHandler.java
M src/org/openbravo/dal/security/EntityAccessChecker.java
M src/org/openbravo/dal/security/OrganizationStructureProvider.java
M src/org/openbravo/dal/xml/PrimitiveReferenceHandler.java
M src/org/openbravo/erpCommon/ad_actionButton/ActionButtonUtility.java
M src/org/openbravo/erpCommon/ad_callouts/SE_Payment_FinAccount.java
M src/org/openbravo/erpCommon/ad_callouts/SL_Reservation.java
M src/org/openbravo/erpCommon/ad_process/MRPPurchaseCreateReservations.java
M src/org/openbravo/erpCommon/ad_process/assets/AssetLinearDepreciationMethodProcess.java
M src/org/openbravo/erpCommon/obps/ActivationKey.java
M src/org/openbravo/erpCommon/utility/OBMessageUtils.java
M src/org/openbravo/erpCommon/utility/ReferencedLink.java
M src/org/openbravo/erpReports/RptC_Bpartner.java
M src/org/openbravo/materialmgmt/ManageVariantsDS.java
M src/org/openbravo/materialmgmt/ProductCharacteristicsDS.java
M src/org/openbravo/role/inheritance/InheritedAccessEnabledEventHandler.java
M src/org/openbravo/role/inheritance/RoleInheritanceEventHandler.java
M src/org/openbravo/role/inheritance/RoleInheritanceWarningFICExtension.java
M src/org/openbravo/role/inheritance/access/FieldAccessInjector.java
M src/org/openbravo/role/inheritance/access/TabAccessInjector.java
M src/org/openbravo/role/inheritance/access/WindowAccessInjector.java
M src/org/openbravo/service/db/DataImportService.java
M src/org/openbravo/service/importprocess/ImportEntryProcessor.java
M src/org/openbravo/service/system/SystemService.java
M src/org/openbravo/service/web/UserContextCache.java
---
(0088352)
hgbot (developer)
2016-07-11 09:17

Repository: erp/pmods/org.openbravo.mobile.core
Changeset: 28fdf9263041b8fce0f647b589f1472a0e788dcf
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Fri Jul 08 12:50:10 2016 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/28fdf9263041b8fce0f647b589f1472a0e788dcf [^]

related to bug 33200: getId in DAL proxy loads object in memory

  Do not use deprecated DalUtil.getId method

---
M src/org/openbravo/mobile/core/login/MobileCoreLoginHandler.java
M src/org/openbravo/mobile/core/servercontroller/MobileServerController.java
M src/org/openbravo/mobile/core/servercontroller/MobileServerRequestExecutor.java
M src/org/openbravo/mobile/core/servercontroller/SynchronizedServerProcessCaller.java
---
(0088353)
hgbot (developer)
2016-07-11 09:18

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: b984687b5ea43b2fc6fdfcb145cda5810e8f1bdd
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Fri Jul 08 12:54:07 2016 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/b984687b5ea43b2fc6fdfcb145cda5810e8f1bdd [^]

related to bug 33200: getId in DAL proxy loads object in memory

  Do not use deprecated DalUtil.getId method

---
M src/org/openbravo/retail/posterminal/CashCloseProcessor.java
M src/org/openbravo/retail/posterminal/OrderGroupingProcessor.java
M src/org/openbravo/retail/posterminal/OrderLoader.java
M src/org/openbravo/retail/posterminal/POSLoginHandler.java
M src/org/openbravo/retail/posterminal/POSUtils.java
M src/org/openbravo/retail/posterminal/importprocess/CashManagementImportEntryProcessor.java
M src/org/openbravo/retail/posterminal/importprocess/CashUpImportEntryProcessor.java
M src/org/openbravo/retail/posterminal/importprocess/CustomerAddrImportEntryProcessor.java
M src/org/openbravo/retail/posterminal/importprocess/CustomerImportEntryProcessor.java
M src/org/openbravo/retail/posterminal/importprocess/OrderImportEntryProcessor.java
M src/org/openbravo/retail/posterminal/importprocess/QuotationsRejectEntryProcessor.java
M src/org/openbravo/retail/posterminal/importprocess/VoidLayawayEntryProcessor.java
M src/org/openbravo/retail/posterminal/process/HasServices.java
M src/org/openbravo/retail/posterminal/security/POSLicenseWarningFICExtension.java
M src/org/openbravo/retail/posterminal/term/CashCloseReport.java
---
(0088354)
alostale (developer)
2016-07-11 09:21

Missing automated commit message: https://code.openbravo.com/erp/devel/pi/rev/772761fc1df8 [^]
(0088355)
hgbot (developer)
2016-07-11 09:23

Repository: erp/mods/org.openbravo.activiti
Changeset: 9776a757c61640889785aac7115fd2a596418bb1
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Fri Jul 08 11:34:06 2016 +0200
URL: http://code.openbravo.com/erp/mods/org.openbravo.activiti/rev/9776a757c61640889785aac7115fd2a596418bb1 [^]

related to bug 33200: getId in DAL proxy loads object in memory

  Do not use deprecated DalUtil.getId method

---
M src/org/openbravo/activiti/OBActivitiDataSynchronizer.java
---
(0088357)
hgbot (developer)
2016-07-11 09:23

Repository: erp/pmods/org.openbravo.client.analytics
Changeset: 5dd578a182d97f5ca5db82a4506dff0cbd97b23f
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Fri Jul 08 11:32:43 2016 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.client.analytics/rev/5dd578a182d97f5ca5db82a4506dff0cbd97b23f [^]

related to bug 33200: getId in DAL proxy loads object in memory

  Do not use deprecated DalUtil.getId method

---
M src/org/openbravo/client/analytics/AnalyticsQueryProcessor.java
M src/org/openbravo/client/analytics/fact/OBAnalyticsFactOrderUpdater.java
M src/org/openbravo/client/analytics/fact/OBAnalyticsFactUpdater.java
M src/org/openbravo/client/analytics/mondrian/Mondrian4SchemaGenerator.java
M src/org/openbravo/client/analytics/mondrian/OBMondrianMemberFormatter.java
---
(0088656)
caristu (developer)
2016-07-26 09:04

Code Reviewed
(0089002)
hudsonbot (developer)
2016-08-11 18:40

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/edaa05b1fb18 [^]
Maturity status: Test
(0089003)
hudsonbot (developer)
2016-08-11 18:40

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/edaa05b1fb18 [^]
Maturity status: Test
(0089004)
hudsonbot (developer)
2016-08-11 18:40

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/edaa05b1fb18 [^]
Maturity status: Test
(0089005)
hudsonbot (developer)
2016-08-11 18:40

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/edaa05b1fb18 [^]
Maturity status: Test
(0089006)
hudsonbot (developer)
2016-08-11 18:40

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/edaa05b1fb18 [^]
Maturity status: Test
(0093885)
hgbot (developer)
2017-01-27 12:58

Repository: erp/devel/pi
Changeset: f6e8558a6647d65481adf3410dec707194bc6c40
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Fri Jan 27 10:58:29 2017 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/f6e8558a6647d65481adf3410dec707194bc6c40 [^]

related to bug 33200: reformat after automatic code changes

---
M src/org/openbravo/dal/core/OBInterceptor.java
---
(0095126)
hudsonbot (developer)
2017-03-15 20:18

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/54e102bef53e [^]
Maturity status: Test
(0099672)
hgbot (developer)
2017-09-29 08:39

Repository: erp/pmods/org.openbravo.integration.alfresco
Changeset: fd830e36cbf71cfdba20d4fcaf910a1942d77350
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Fri Sep 29 08:20:43 2017 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.integration.alfresco/rev/fd830e36cbf71cfdba20d4fcaf910a1942d77350 [^]

related to bug 33200: do not use deprecated DalUtil.getId method

---
M src/org/openbravo/integration/alfresco/AlfrescoAttachImplementation.java
---

- Issue History
Date Modified Username Field Change
2016-06-09 09:34 alostale New Issue
2016-06-09 09:34 alostale Assigned To => platform
2016-06-09 09:34 alostale Modules => Core
2016-06-09 09:34 alostale Triggers an Emergency Pack => No
2016-06-09 09:41 alostale Description Updated View Revisions
2016-06-09 09:41 alostale Proposed Solution updated
2016-06-09 09:41 alostale Tag Attached: Performance
2016-06-09 09:43 alostale File Added: 33200.export
2016-06-09 09:43 alostale Status new => acknowledged
2016-06-09 09:43 alostale Target Version => 3.0PR16Q4
2016-06-14 09:03 alostale Steps to Reproduce Updated View Revisions
2016-07-11 09:13 alostale Relationship added depends on 0033457
2016-07-11 09:16 hgbot Checkin
2016-07-11 09:16 hgbot Note Added: 0088348
2016-07-11 09:16 hgbot Checkin
2016-07-11 09:16 hgbot Note Added: 0088349
2016-07-11 09:16 hgbot Checkin
2016-07-11 09:16 hgbot Note Added: 0088350
2016-07-11 09:16 hgbot Checkin
2016-07-11 09:16 hgbot Note Added: 0088351
2016-07-11 09:17 hgbot Checkin
2016-07-11 09:17 hgbot Note Added: 0088352
2016-07-11 09:18 hgbot Checkin
2016-07-11 09:18 hgbot Note Added: 0088353
2016-07-11 09:21 alostale Note Added: 0088354
2016-07-11 09:21 alostale Status acknowledged => scheduled
2016-07-11 09:21 alostale Fixed in SCM revision => https://code.openbravo.com/erp/devel/pi/rev/772761fc1df8 [^]
2016-07-11 09:21 alostale Status scheduled => resolved
2016-07-11 09:21 alostale Fixed in Version => 3.0PR16Q4
2016-07-11 09:21 alostale Resolution open => fixed
2016-07-11 09:23 hgbot Checkin
2016-07-11 09:23 hgbot Note Added: 0088355
2016-07-11 09:23 hgbot Checkin
2016-07-11 09:23 hgbot Note Added: 0088357
2016-07-13 09:36 mtaal Relationship added related to 0033469
2016-07-13 15:08 alostale Steps to Reproduce Updated View Revisions
2016-07-18 11:39 alostale Relationship added causes 0033490
2016-07-22 12:32 caristu Review Assigned To => caristu
2016-07-26 09:04 caristu Note Added: 0088656
2016-07-26 09:04 caristu Status resolved => closed
2016-08-11 18:40 hudsonbot Checkin
2016-08-11 18:40 hudsonbot Note Added: 0089002
2016-08-11 18:40 hudsonbot Checkin
2016-08-11 18:40 hudsonbot Note Added: 0089003
2016-08-11 18:40 hudsonbot Checkin
2016-08-11 18:40 hudsonbot Note Added: 0089004
2016-08-11 18:40 hudsonbot Checkin
2016-08-11 18:40 hudsonbot Note Added: 0089005
2016-08-11 18:40 hudsonbot Checkin
2016-08-11 18:40 hudsonbot Note Added: 0089006
2016-10-14 09:19 alostale Assigned To platform => alostale
2017-01-27 12:58 hgbot Checkin
2017-01-27 12:58 hgbot Note Added: 0093885
2017-03-15 20:18 hudsonbot Checkin
2017-03-15 20:18 hudsonbot Note Added: 0095126
2017-09-29 08:39 hgbot Checkin
2017-09-29 08:39 hgbot Note Added: 0099672
2018-05-24 09:36 caristu Relationship added related to 0037064


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker